<?php

function mo_ldap_show_pricing_page(){
    $active_tab = $_GET[ 'tab' ];
    $plan = Mo_Ldap_Util::mo_ldap_is_customer_validated();
    
   echo '<style>.update-nag,  .error, .is-dismissible, .notice, .notice-error { display: none; }</style>';
    ?>
    <style>
        *, *::after, *::before {
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;
        }

        html {
            font-size: 62.5%;
        }

        html * {
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
        }

        .pricing-container {
            font-size: 1.6rem;
            font-family: "Open Sans", sans-serif;
            color: #fff;
        }

        /* --------------------------------

        Main Components

        -------------------------------- */

        .mo_ldap_small_layout,.mo_ldap_support_layout,.mo2f_container .nav-tab-wrapper, .mo_ldap_table_layout{
            display:none;
        }
        .cd-header{
            margin-top:100px;
        }
        .cd-header>h1{
            text-align: center;
            color: #FFFFFF;
            font-size: 3.2rem;
        }

        .cd-pricing-container {
            width: 100%;
            max-width: 1360px;
            /* margin: 4em auto; */
            margin-top: 0em;
            margin-right: auto;
            margin-left: auto;
        }
        /*@media only screen and (min-width: 768px) {
            .cd-pricing-container {
                margin: auto;
            }
            .cd-pricing-container.cd-full-width {
                width: 100%;
                max-width: none;
            }
        }*/

        

        .cd-pricing-list {
            margin: 2em 0 0;
        }
        .cd-pricing-list > li {
            position: relative;
            margin-bottom: 1em;
        }
        @media only screen and (min-width: 768px) {
            .cd-pricing-list {
                margin: 3em;
            }
            .cd-pricing-list:after {
                content: "";
                display: table;
                clear: both;
            }
            .cd-pricing-list > li {
                width: 35.3333333333%;
                float: left;
            }
            .cd-has-margins .cd-pricing-list > li {
                width: 32%;
                float: left;
                margin-right: 1%;
            }
            .cd-has-margins .cd-pricing-list > li:last-of-type {
                margin-right: 0;
            }
        }

        .cd-pricing-wrapper {
            /* this is the item that rotates */
            overflow: show;
            position: relative;
        }



        .touch .cd-pricing-wrapper {
            /* fix a bug on IOS8 - rotating elements dissapear*/
            -webkit-perspective: 2000px;
            -moz-perspective: 2000px;
            perspective: 2000px;
        }

        .cd-pricing-wrapper > li {
            background-color: #FFFFFF;
            -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
            /* Firefox bug - 3D CSS transform, jagged edges */
            outline: 1px solid transparent;
        }
        .cd-pricing-wrapper > li::after {
            /* subtle gradient layer on the right - to indicate it's possible to scroll */
            content: '';
            position: absolute;
            top: 0;
            right: 0;
            height: 100%;
            width: 50px;
            pointer-events: none;
            background: -webkit-linear-gradient( right , #FFFFFF, rgba(255, 255, 255, 0));
            background: linear-gradient(to left, #FFFFFF, rgba(255, 255, 255, 0));
        }
        .cd-pricing-wrapper > li.is-ended::after {
            /* class added in jQuery - remove the gradient layer when it's no longer possible to scroll */
            display: none;
        }
        .cd-pricing-wrapper .is-visible {
            /* the front item, visible by default */
            position: relative;
            background-color: #f2f5f8;
        }
        .cd-pricing-wrapper .is-hidden {
            /* the hidden items, right behind the front one */
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            z-index: 1;
            -webkit-transform: rotateY(180deg);
            -moz-transform: rotateY(180deg);
            -ms-transform: rotateY(180deg);
            -o-transform: rotateY(180deg);
            transform: rotateY(180deg);
        }
        .cd-pricing-wrapper .is-hidden2 {
            /* the hidden items, right behind the front one */
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            z-index: 1;
            -webkit-transform: rotateY(180deg);
            -moz-transform: rotateY(180deg);
            -ms-transform: rotateY(180deg);
            -o-transform: rotateY(180deg);
            transform: rotateY(180deg);
        }
        .cd-pricing-wrapper .is-selected {
            /* the next item that will be visible */
            z-index: 3 !important;
        }
        @media only screen and (min-width: 768px) {
            .cd-pricing-wrapper > li::before {
                /* separator between pricing tables - visible when number of tables > 3 */
                content: '';
                position: absolute;
                z-index: 6;
                left: -1px;
                top: 50%;
                bottom: auto;
                -webkit-transform: translateY(-50%);
                -moz-transform: translateY(-50%);
                -ms-transform: translateY(-50%);
                -o-transform: translateY(-50%);
                transform: translateY(-50%);
                height: 50%;
                width: 1px;
                background-color: #b1d6e8;
            }
            .cd-pricing-wrapper > li::after {
                /* hide gradient layer */
                display: none;
            }
            .cd-popular .cd-pricing-wrapper > li {
                box-shadow: inset 0 0 0 15px #f2881be0;
            }
            .cd-black .cd-pricing-wrapper > li {
                box-shadow: inset 0 0 0 3px #000000;
            }
            .cd-has-margins .cd-pricing-wrapper > li, .cd-has-margins .cd-popular .cd-pricing-wrapper > li {
                box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1);
            }
            .cd-secondary-theme .cd-pricing-wrapper > li {
                background: #3aa0d1;
                background: -webkit-linear-gradient( bottom , #3aa0d1, #3ad2d1);
                background: linear-gradient(to top, #3aa0d1, #3ad2d1);
            }
            .cd-secondary-theme .cd-popular .cd-pricing-wrapper > li {
                background: #e97d68;
                background: -webkit-linear-gradient( bottom , #e97d68, #e99b68);
                background: linear-gradient(to top, #e97d68, #e99b68);
                box-shadow: none;
            }
            :nth-of-type(1) > .cd-pricing-wrapper > li::before {
                /* hide table separator for the first table */
                display: none;
            }
            :nth-of-type(2) > .cd-pricing-wrapper > li::before {
                /* hide table separator for the first table */
                display: table-row;
            }
            .cd-has-margins .cd-pricing-wrapper > li {
                border-radius: 4px 4px 6px 6px;
            }
            .cd-has-margins .cd-pricing-wrapper > li::before {
                display: none;
            }
        }
        @media only screen and (min-width: 1500px) {
            .cd-full-width .cd-pricing-wrapper > li {
                padding: 2.5em 0;
            }
        }

        .no-js .cd-pricing-wrapper .is-hidden {
            position: relative;
            -webkit-transform: rotateY(0);
            -moz-transform: rotateY(0);
            -ms-transform: rotateY(0);
            -o-transform: rotateY(0);
            transform: rotateY(0);
            margin-top: 1em;
        }
        .no-js .cd-pricing-wrapper .is-hidden2 {
            position: relative;
            -webkit-transform: rotateY(0);
            -moz-transform: rotateY(0);
            -ms-transform: rotateY(0);
            -o-transform: rotateY(0);
            transform: rotateY(0);
            margin-top: 1em;
        }

        @media only screen and (min-width: 768px) {
            .cd-popular .cd-pricing-wrapper > li::before {
                /* hide table separator for .cd-popular table */
                display: none;
            }

            .cd-popular + li .cd-pricing-wrapper > li::before {
                /* hide table separator for tables following .cd-popular table */
                display: none;
            }
        }
        .cd-pricing-header {
            position: relative;

            height: 80px;
            padding: 1em;
            pointer-events: none;
            background-color: #3aa0d1;
            color: #FFFFFF;
        }
        .cd-pricing-header h2 {
            margin-bottom: 3px;
            font-weight: 700;
            text-transform: uppercase;
        }
        .cd-popular .cd-pricing-header {
            background-color: #e97d68;
        }
        @media only screen and (min-width: 768px) {
            .cd-pricing-header {
                height: auto;
                padding: 1.9em 0.9em 1.6em;
                pointer-events: auto;
                text-align: center;
                color: #2f6062;
                background-color: transparent;
            }
            .cd-popular .cd-pricing-header {
                color: #e97d68;
                background-color: transparent;
            }
            .cd-secondary-theme .cd-pricing-header {
                color: #FFFFFF;
            }
            .cd-pricing-header h2 {
                font-size: 1.8rem;
                letter-spacing: 2px;
            }
        }

        .cd-popular .cd-duration {
            color: #f3b6ab;
        }


        @media only screen and (min-width: 768px) {
            .cd-value {
                font-size: 4rem;
                font-weight: 300;
            }

            .cd-contact {
                font-size: 3rem;

            }

            .cd-popular .cd-currency, .cd-popular .cd-duration {
                color: #e97d68;
            }
            .cd-secondary-theme .cd-currency, .cd-secondary-theme .cd-duration {
                color: #2e80a7;
            }
            .cd-secondary-theme .cd-popular .cd-currency, .cd-secondary-theme .cd-popular .cd-duration {
                color: #ba6453;
            }

        }
        .cd-pricing-body {
            overflow-x: auto;
            -webkit-overflow-scrolling: touch;
        }
        .is-switched .cd-pricing-body {
            /* fix a bug on Chrome Android */
            overflow: hidden;
        }
        @media only screen and (min-width: 768px) {
            .cd-pricing-body {
                overflow-x: visible;
            }
        }

        .cd-pricing-features {
            width: 600px;
        }
        .cd-pricing-features:after {
            content: "";
            display: table;
            clear: both;
        }
        .cd-pricing-features li {
            width: 100px;
            float: left;
            padding: 1.6em 1em;
            font-size: 1.4rem;
            text-align: center;
            white-space: initial;
            line-height:1.4em;

            text-overflow: ellipsis;
            color: black;
            overflow-wrap: break-word;
            margin: 0 !important;

        }
        .cd-pricing-features em {
            display: block;
            margin-bottom: 5px;
            font-weight: 600;
            color: black;
        }
        @media only screen and (min-width: 768px) {
            .cd-pricing-features {
                width: auto;
                word-wrap: break-word;
            }
            .cd-pricing-features li {
                float: none;
                width: auto;
                padding: 1em;
                word-wrap: break-word;
            }
            .cd-popular .cd-pricing-features li {
                margin: 0 3px;
            }
            .cd-pricing-features li:nth-of-type(2n+1) {
                background-color: rgba(23, 61, 80, 0.06);
            }
            .cd-pricing-features em {
                display: inline-block;
                margin-bottom: 0;
                word-wrap: break-word;

            }
            .cd-has-margins .cd-popular .cd-pricing-features li, .cd-secondary-theme .cd-popular .cd-pricing-features li {
                margin: 0;
            }
            .cd-secondary-theme .cd-pricing-features li {
                color: #FFFFFF;
            }
            .cd-secondary-theme .cd-pricing-features li:nth-of-type(2n+1) {
                background-color: transparent;
            }
        }

        .cd-pricing-footer {
            position: absolute;
            z-index: 1;
            top: 0;
            left: 0;
            /* on mobile it covers the .cd-pricing-header */
            height: 80px;
            width: 100%;
        }
        .cd-pricing-footer::after {
            /* right arrow visible on mobile */
            content: '';
            position: absolute;
            right: 1em;
            top: 50%;
            bottom: auto;
            -webkit-transform: translateY(-50%);
            -moz-transform: translateY(-50%);
            -ms-transform: translateY(-50%);
            -o-transform: translateY(-50%);
            transform: translateY(-50%);
            height: 20px;
            width: 20px;
            background: url(../img/cd-icon-small-arrow.svg);
        }
        @media only screen and (min-width: 768px) {
            .cd-pricing-footer {
                position: relative;
                height: auto;

                text-align: center;
            }
            .cd-pricing-footer::after {
                /* hide arrow */
                display: none;
            }
            .cd-has-margins .cd-pricing-footer {
                padding-bottom: 0;
            }
        }

        .cd-select {
            position: relative;
            z-index: 1;
            display: block;
            height: 100%;
            /* hide button text on mobile */
            overflow: hidden;
            text-indent: 100%;
            white-space: nowrap;
            color: transparent;
        }
        @media only screen and (min-width: 768px) {
            .cd-select {
                position: static;
                display: inline-block;
                height: auto;
                padding: 1.3em 3em;
                color: #FFFFFF;
                border-radius: 2px;
                background-color: #0c1f28;
                font-size: 1.4rem;
                text-indent: 0;
                text-transform: uppercase;
                letter-spacing: 2px;
            }
            .no-touch .cd-select:hover {
                background-color: #112e3c;
            }
            .cd-popular .cd-select {
                background-color: #e97d68;
            }
            .no-touch .cd-popular .cd-select:hover {
                background-color: #ec907e;
            }
            .cd-secondary-theme .cd-popular .cd-select {
                background-color: #0c1f28;
            }
            .no-touch .cd-secondary-theme .cd-popular .cd-select:hover {
                background-color: #112e3c;
            }
            .cd-has-margins .cd-select {
                display: block;
                padding: 1.7em 0;
                border-radius: 0 0 4px 4px;
            }
        }
        /* --------------------------------

        xkeyframes

        -------------------------------- */


        .tab-content {
            margin-left: 0%!important;
            margin-top: 0%!important;

        }
        .tab-content>.active {
            width: 100% !important;
        }

        .tab-pane,.cd-pricing-container,.cd-pricing-switcher ,.cd-row,.cd-row>div{

        }


        .nav-pills>li{
            width:250px;
        }



        .nav-pills>li+li {
            margin-left: 0px;
        }

        .nav-pills>li.active>a, .nav-pills>li.active>a:hover, .nav-pills>li.active>a:focus,.nav-pills>li.active>a:active{
            color: #1e3334;
            background-color:white;
            height:47px;
        }

        .nav-pills>li>a:hover {
            color:#fff;
            background: #E97D68;
            height:46px;
        }

        .nav-pills>li>a:focus{
            color:#fff;
            background:grey;
            height:47px;

        }

        .nav-pills>li.active{
            background-color: #fff;
        }

        .nav-pills>li>a {
            border-radius: 0px;
            height:47px;
            border-color:#E85700;
            font-weight: 500;
            color: #d3f3d3;
            text-transform:uppercase;
        }


        .ui-slider .ui-slider-handle {
            position: absolute !important;
            z-index: 2 !important;
            width: 3.2em !important;
            height: 2.2em !important;
            cursor: default !important;
            margin: 0 -20px auto !important;
            text-align: center !important;
            line-height: 30px !important;
            color: #FFFFFF !important;
            font-size: 15px !important;
        }




        .ui-state-default,
        .ui-widget-content .ui-state-default {
            background: #393a40 !important;
        }
        .ui-slider .ui-slider-handle {width:2em;left:-.6em;text-decoration:none;text-align:center;}
        .ui-slider-horizontal .ui-slider-handle {
            margin-left: -0.5em !important;
        }

        .ui-slider .ui-slider-handle {
            cursor: pointer;
        }

        .ui-slider a,
        .ui-slider a:focus {
            cursor: pointer;
            outline: none;
        }

        .price, .lead p {
            font-weight: 600;
            font-size: 32px;
            display: inline-block;
            line-height: 60px;
        }



        .price-form label {
            font-weight: 200;
            font-size: 21px;
        }



        .ui-slider-horizontal .ui-slider-handle {
            top: -.6em !important;
        }
        /***********************ADDED BY SHAILESH************************/


        .pricing-tooltip .pricing-tooltiptext {
            visibility: hidden;
            background-color: black;
            line-height: 1.5em;
            font-size:12px;
            min-width: 300px;
            color: rgb(253, 252, 252);
            padding: 10px;
            border-radius: 6px;
            position: absolute;
            z-index: 5;
            text-align: center;
        }

        .pricing-tooltiptext .body{
            font-weight:100;
        }

        .pricing-tooltip:hover .pricing-tooltiptext {
            visibility: visible;
        }

        .cd-pricing-features>li>a{
            color:#E97D68;
        }


        .cd-row .col-md-4, .cd-row .col-md-6 {
            padding-left: 30px!important;
            font-size: 16px;
            padding: 4px;
        }

        .cd-row .col-md-6 {
            width: 60.33333333%;
        }



        .ribbon .ribbon-content:before, .ribbon .ribbon-content:after {
            content: "";
            position: absolute;
            display: block;
            border-style: solid;
            border-color: #804f7c transparent transparent transparent;
            bottom: -1em;
        }
        .ribbon .ribbon-content:before {
            left: 0;
            border-width: 0em 0 0 1em;
        }
        .ribbon .ribbon-content:after {
            right: 0;
            border-width: 0em 1em 0 0;
        }

        .cd-pricing-wrapper:hover .is-visible{
            -webkit-transform: scale(1);
            -ms-transform: scale(1);
            transform: scale(1);

        }
        /*.is-visible:hover {*/
            /*background: #cf4f3e;*/
        /*}*/

        .recommended .table-buy .pricing-action:hover {
            background: #228799;
        }



        .cd-popular :hover #singlesite_tab.is-visible{

            -webkit-transform: scale(1.03);
            -moz-transform: scale(1.03);
            transform: scale(1.03);
            -webkit-transition: all 0.3s;
            -moz-transition: all 0.3s;
            transition: all 0.3s;
            z-index:2;
        }
        .cd-black :hover #singlesite_tab.is-visible{
            -webkit-transform: scale(1.03);
            -moz-transform: scale(1.03);
            transform: scale(1.03);
            -webkit-transition: all 0.3s;
            -moz-transition: all 0.3s;
            transition: all 0.3s;
            z-index:2;
        }


   </style>
<script>
    if(jQuery(".mo_ldap_table_layout").length > 0)
        jQuery(".mo_ldap_table_layout").parent("form").hide();


</script>
    <!-- Modal -->

    <?php
        $email = get_option('mo_ldap_admin_email') == "" ? get_option('admin_email') : get_option('mo_ldap_admin_email');
    ?>

    <div  hidden id="licensingContactUsModalPopUp" name="licensingContactUsModalPopUp" class="mo_ldap_modal_popup" style="margin-left: 26%">
    <div class="moldap-modal-contatiner-contact-us" syle="color:black"></div>
        <!-- Modal content -->
        <div class="mo_ldap_modal_popup-content" id="contactUsPopUp" style="width: 700px; padding:30px;">
            <h1 style="margin: 2%;">Contact Us For Upgrading plan </h1>
            <form name="f" method="post" action="" id="mo_ldap_licensing_contact_us" style="font-size: large;">
                <input type="hidden" name="option" value="mo_ldap_login_send_query"/>
                <div>
                    <p style="font-size: large;">
                        <br>
                        <b >Email: </b>
                        <input style=" width: 77%; margin-left: 69px; " type="email" class="mo_ldap_table_textbox" id="query_email" name="query_email" value="<?php echo $email; ?>" placeholder="Enter email address through which we can reach out to you" required />
                        <br><br>
                        <b style="display:inline-block; vertical-align: top;">Description: </b>
                        <textarea style="width:77%; margin-left: 21px;" id="query_popup" name="query" required rows="5" style="width: 100%"
                                  placeholder="Tell us which features you require"></textarea></p>

                        <p style="text-align: center; font-size: 14px;"><b>We will get back to you shortly</b></p>
                        <br>
                    <div class="mo_ldap_modal_popup-footer" style="text-align: center">
                        <input type="button" style="font-size: medium" name="miniorange_ldap_feedback_submit" id="miniorange_ldap_feedback_submit"
                               class="button button-primary button-small" onclick="validateRequirement()" value="Submit"/>
                        <input type="button" style="font-size: medium" name="miniorange_ldap_licensing_contact_us_close" id="miniorange_ldap_licensing_contact_us_close" class="button button-primary button-small" value="Close" />
                    </div>
                </div>
            </form>
        </div>

    </div>

    <div style="text-align: center; font-size: 14px; color: white; padding-top: 4px; padding-bottom: 4px; border-radius: 16px;"></div>
    <input type="hidden" id="mo_license_plan_selected" value="licensing_plan" />
    <div class="tab-content">
        <div class="tab-pane active text-center" id="cloud">
            <div class="cd-pricing-container cd-has-margins"><br>
                <h1 style="font-size: 32px ; text-align:center;">Choose Your Licensing Plan <input type="button" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?> name="check_btn" id="check_license_btn" class="button button-primary button-large" value="Check License" onclick="document.forms['mo_ldap_check_license_form'].submit();" /></h1>
                <!-- <h4 style="font-size: 20px ; text-align:center;color: red">Are you not able to choose your plan?</h4> -->
                <br><br>

                <!-- .cd-pricing-switcher -->

                <input type="hidden" value="<?php echo Mo_Ldap_Util::is_customer_registered()?>" id="mo_customer_registered">
                <ul class="cd-pricing-list cd-bounce-invert" >
                    <?php if(!$plan){?>
                    <li class="cd-popular">
                        <ul class="cd-pricing-wrapper"  style="height: 500px";>

                            <li id="singlesite_tab" data-type="singlesite" class="mosslp is-visible cd-singlesite ">
                                <a id="popover1" data-toggle="popover">
                                <header class="cd-pricing-header" style="height: 230px">

                                        <h2 style="margin-bottom: 10px" >Free<span style="font-size:0.5em"></span></h2>
                                        <h3 style="color:black;"><br /><br /></h3>
                                        <div class="cd-price">
                                            <b style="font-size: large">You are automatically on this plan</b><br><br>
                                            <b style="font-size: large">(30 days Free trial)</b>
                                        </div><br><br>

                                    </header> <!-- .cd-pricing-header -->
                                </a><br><br>
                                <footer class="cd-pricing-footer">
                                    <a class="cd-select">Active Plan</a>
                                </footer><br>
<!--                                <b style="color: coral;">See the free Plugin features list below</b>-->
                                <div class="cd-pricing-body">
                                    <ul class="cd-pricing-features">
                                        <li style="font-size: medium">LDAP Authentications</li>
                                        <li style="font-size: medium">Support of LDAPS for Secure Connection to LDAP Server</li>
                                        <li style="font-size: medium">Assign WordPress roles based on LDAP groups</li>
                                        <li style="font-size: medium">Custom WordPress profile mapping</li>
                                        <li style="font-size: medium">Authenticate users from Multiple Search bases</li>
                                        <li style="font-size: medium">Login with username, email or any LDAP attribute of your choice.</li>
                                        <li style="font-size: medium">Support for Dynamic custom search filter</li>
                                        <li style="font-size: medium"> Auto-register of LDAP users in WordPress site</li>
                                        <li style="font-size: medium">Authenticate users from both LDAP and wordpress</li>
                                        <li style="font-size: medium">Redirect to custom URL after authentication</li>
                                        <li style="font-size: medium">WordPress to LDAP user profile update</li>
                                        <li style="font-size: medium">Protect all website content by login</li>
                                        <li style="font-size: medium"><br/></li>

                                    </ul>
                                </div> <!-- .cd-pricing-body -->
                            </li>
                        </ul> <!-- .cd-pricing-wrapper -->
                    </li>
                    <?php } ?>
                    <li class="cd-black">

                        <ul class="cd-pricing-wrapper">

                            <li id="singlesite_tab" data-type="singlesite" class="mosslp is-visible">
                                <a id="popover2" data-toggle="popover">
                                <header class="cd-pricing-header" style="height: 230px">

                                    <h2 style="margin-bottom: 10px" >Monthly Plan<br/><br/></h2>
                                    <div class="cd-price" ><br>
                                            <span id="plus_total_price" style="font-weight: bolder;font-size: xx-large">$199</span><br/>
                                            <span id="plus_total_price1" style="font-weight: bolder;font-size: medium;">(One Time Payment)</span><br><br>
<!--                                            <span class="cd-currency">$</span>-->
                                            <span class="cd-value">+</span>

                                        </div><br>
                                        <div id="Basic_no_of_instances_drop_down_div" name="Basic_no_of_instances_drop_down_div">
                                            <select style="width: 90%;" id="basic_no_of_instances_drop_down" name="basic_no_of_instances_drop_down">
                                               <option value="0"><b>Number of Users</b></option>
                                               <option value="1">$0.3/user - Upto 200 Users</option>
                                               <option value="2">$0.25/user - Upto 350 Users</option>
                                               <option value="3">$0.20/user - Upto 500 Users</option>
                                               <option value="4">More than 500 Users - Contact Us</option>
                                            </select>
                                        </div>

                                    </header> <!-- .cd-pricing-header -->
                                </a><br><br>
                                <footer class="cd-pricing-footer">
                                    <?php if(strcmp($plan,Mo_Ldap_Util::$pCode)!=0){?>
                                    <!-- <a href="#" class="cd-select" onclick="upgradeform('wp_ldap_cloud_basic_plan')" >Upgrade Now</a> -->
                                    <a href="#" class="cd-select" name="basic_no_of_instances_drop_down" onclick="contactus(this,false,false)" >Upgrade Now</a>
                                    <?php }?>
                                </footer><br>
                                <div class="cd-pricing-body">
                                    <ul class="cd-pricing-features">
                                        <li style="font-size: medium">LDAP Authentications</li>
                                        <li style="font-size: medium">Support of LDAPS for Secure Connection to LDAP Server</li>
                                        <li style="font-size: medium">Assign WordPress roles based on LDAP groups</li>
                                        <li style="font-size: medium">Custom WordPress profile mapping</li>
                                        <li style="font-size: medium">Authenticate users from Multiple Search bases</li>
                                        <li style="font-size: medium">Login with username, email or any LDAP attribute of your choice.</li>
                                        <li style="font-size: medium">Support for Dynamic custom search filter</li>
                                        <li style="font-size: medium"> Auto-register of LDAP users in WordPress site</li>
                                        <li style="font-size: medium">Authenticate users from both LDAP and wordpress</li>
                                        <li style="font-size: medium">Redirect to custom URL after authentication</li>
                                        <li style="font-size: medium">WordPress to LDAP user profile update</li>
                                        <li style="font-size: medium">Protect all website content by login</li>
                                        <li style="font-size: medium">Multi-site support</li>
                                         </ul>

                                </div> <!-- .cd-pricing-body -->
                            </li>
                        </ul> <!-- .cd-pricing-wrapper -->
                    </li>

                    <li class="cd-popular">
                        <ul class="cd-pricing-wrapper">
                            <li id="singlesite_tab" data-type="singlesite" class="mosslp is-visible">
                                <a id="popover3" data-toggle="popover">
                                <header class="cd-pricing-header" style="height: 230px">
                                        <h2 style="margin-bottom: 10px">Yearly Plan<br/><br/></h2>
                                        <div class="cd-price" ><br>
                                            <span id="plus_total_price" style="font-weight: bolder;font-size: xx-large">$199</span><br/>
                                            <span id="plus_total_price1" style="font-weight: bolder;font-size: medium;">(One Time Payment)</span><br><br>
<!--                                            <span class="cd-currency">$</span>-->
                                           <span class="cd-value">+</span>

                                        </div><br>
                                        <div id="plus_no_of_instances_drop_down_div" name="plus_no_of_instances_drop_down_div">
                                            <select style="width: 90%;" id="plus_no_of_instances_drop_down" name="plus_no_of_instances_drop_down">
                                                <option value="0"><b>Number of Users</b></option>
                                                <option value="1">$720/year - Upto 200 Users</option>
                                                <option value="2">$1050/year - Upto 350 Users</option>
                                                <option value="3">$1200/year - Upto 500 Users</option>
                                                <option value="4">More than 500 Users - Contact Us</option>
                                            </select>
                                  </div>
                                    </header> <!-- .cd-pricing-header -->
                                </a><br><br>
                                <footer class="cd-pricing-footer">
                                    <?php if(strcmp($plan,Mo_Ldap_Util::$pCode)!=0){?>
                                    <a href="#" class="cd-select" onclick="upgradeform('wp_ldap_cloud_premium_plan')" >Upgrade Now</a>
                                    <!-- <a href="#" class="cd-select" name="plus_no_of_instances_drop_down" onclick="contactus(this,false)" >Upgrade Now</a> -->
                                    <?php }?>
                                </footer><br>
<!--                                <b>See the Premium Plugin features list below</b>-->
                                <div class="cd-pricing-body">
                                    <ul class="cd-pricing-features">
                                        <li style="font-size: medium">LDAP Authentications</li>
                                        <li style="font-size: medium">Support of LDAPS for Secure Connection to LDAP Server</li>
                                        <li style="font-size: medium">Assign WordPress roles based on LDAP groups</li>
                                        <li style="font-size: medium">Custom WordPress profile mapping</li>
                                        <li style="font-size: medium">Authenticate users from Multiple Search bases</li>
                                        <li style="font-size: medium">Login with username, email or any LDAP attribute of your choice.</li>
                                        <li style="font-size: medium">Support for Dynamic custom search filter</li>
                                        <li style="font-size: medium"> Auto-register of LDAP users in WordPress site</li>
                                        <li style="font-size: medium">Authenticate users from both LDAP and wordpress</li>
                                        <li style="font-size: medium">Redirect to custom URL after authentication</li>
                                        <li style="font-size: medium">WordPress to LDAP user profile update</li>
                                        <li style="font-size: medium">Protect all website content by login</li>
                                        <li style="font-size: medium">Multi-site support</li>

                                    </ul>
                                </div> <!-- .cd-pricing-body -->
                            </li>

                        </ul> <!-- .cd-pricing-wrapper -->
                    </li>

                </ul> <!-- .cd-pricing-list -->
            </div> <!-- .cd-pricing-container -->

    </div>

    <!-- Modal -->
    <br/><br/>

    <form style="display:none;" id="loginform"
          action="<?php echo esc_url(get_option( 'mo_ldap_host_name' ) . '/moas/login'); ?>"
          target="_blank" method="post">
        <input type="email" name="username" value="<?php echo esc_attr(get_option( 'mo_ldap_admin_email' )); ?>"/>
        <input type="text" name="redirectUrl"
               value="<?php echo esc_url(get_option( 'mo_ldap_host_name' ) . '/moas/initializepayment'); ?>"/>
        <input type="text" name="requestOrigin" id="requestOrigin"/>
    </form>
    <form id="mo_ldap_check_license_form"   method="post">
            <input type="hidden" name="option" value="mo_ldap_check_license" />
        </form>  
        <script>
            function moldap_upgradeform(planType){
                //alert(planType);
                jQuery('#requestOrigin').val(planType);
                jQuery('#loginform').submit();
            }
            function contactus(elem,isMultisite){

                selectedUserOption = jQuery("#"+elem.name+" option:selected")[0].label;
                selectedUserOptionText = selectedUserOption.includes("Number of Users") ? "multiple users" : selectedUserOption.split(" - ")[1];
                selectedUserOptionText = selectedUserOptionText.includes("Contact Us") ? "more than 500 users" : selectedUserOptionText;
                planName = jQuery("#"+elem.name).parents(".cd-pricing-header").find("h2").text();
                
                if(isMultisite){
                    selectedSubsiteOption = jQuery("#"+elem.name).closest(".cd-pricing-header").find("select[id*='subsites'] option:selected")[0].label
                    selectedUserSubsiteText = selectedSubsiteOption.includes("Number of Subsites") ? " " : " - "+selectedSubsiteOption.split(" - ")[1].split(" / ")[0]+" ";
                }
                multisiteText = isMultisite ? selectedUserSubsiteText : " ";
                


                queryText = "Hi! I am interested in your "+planName+ multisiteText +"for "+selectedUserOptionText+", could you please let me know more about this. ";

                jQuery("#query_popup").val(queryText);
                jQuery("#licensingContactUsModalPopUp").show();

            }
            function validateRequirement() {
            var requirement = document.getElementById("query_popup").value;
            if (requirement.length <= 10) {
                alert("Please enter more details");
            } else {
                document.getElementById("mo_ldap_licensing_contact_us").submit();
            }
        }
          jQuery('#miniorange_ldap_licensing_contact_us_close').click(
            function(){
                // jQuery("#contactUsPopUp").hide();
                jQuery("#mo_ldap_licensing_contact_us #query").val('');
                jQuery('#licensingContactUsModalPopUp').hide();
            });
            /*jQuery('#chk_license_btn').click(function(){
                alert("fvb");
                jQuery('#mo_ldap_check_license_form').submit();
            });*/
        </script>
        <a  id="mo_backto_ldap_accountsetup_tab" style="display:none;" href="<?php echo add_query_arg( array( 'tab' => 'account' ), htmlentities( $_SERVER['REQUEST_URI'] ) ); ?>">Back</a>
    <br/>
    </div>
    <style>


        .table-onpremisetable2 th {
            background-color: #fcfdff;

            text-align: center;
            vertical-align:center;
        }

        .table-onpremisetable2 td {
            background-color: #fcfdff;

            text-align: center;
            vertical-align:center;
        }



        h1 {
            margin: .67em 0;
            font-size: 2em;
        }
        .tab-content-plugins-pricing div {
            background: #173d50;
        }

    </style>
    <script>

        function upgradeform(planType) {
            jQuery('#requestOrigin').val(planType);
            if(jQuery('#mo_customer_registered').val()==1)
                jQuery('#loginform').submit();
            else{
                location.href = jQuery('#mo_backto_ldap_accountsetup_tab').attr('href');
            }

        }

        
    </script>
    <?php
}
?>