<?php

require_once "mo_ldap_licensing_plans.php";

/*Main function*/
function mo_ldap_settings() {
	if( isset( $_GET[ 'tab' ] ) ) {
		$active_tab = $_GET[ 'tab' ];
	} else {
		$active_tab = 'config';
	}
	?>
	<?php if($active_tab != 'pricing') { ?><br>
	<div style="font-size: large; font-weight: 600;"><br>miniOrange LDAP/Active Directory Login for Shared Hosting Environment
            <a id="license_upgrade" class="button button-large" style="color:#fff;background-color:#f2881be0  ;border-color:#f2881be0  " href="<?php echo add_query_arg( array( 'tab' => 'pricing' ), htmlentities( $_SERVER['REQUEST_URI'] ) ); ?>">Licensing Plans</a></div>
	<?php
		if(!Mo_Ldap_Util::is_curl_installed()) {
			?>
			
			<div class="notice notice-error is-dismissible">
        <div id="help_curl_warning_title" class="mo_ldap_title_panel">
            <p><font color="#FF0000">Warning: PHP cURL extension is not installed or disabled.</font></p>
            <p><a target="_blank" style="cursor: pointer;">Click here for instructions to enable it.</a></p>
        </div>
        <div hidden="" id="help_curl_warning_desc" class="mo_ldap_help_desc">
            <ul>
                <li style="font-size: large; font-weight: bold">Step 1 </li>
                <li style="font-size: large; font-weight: bold"><b>Loaded configuration file : <?php echo php_ini_loaded_file() ?></b></li>
                <li style="list-style-type:square;margin-left:20px">Open php.ini file from above file path</br></li><br/>
                <li style="font-size: large; font-weight: bold">Step 2</li>
                <li style="font-weight: bold"><font color="#C31111"><b>For Windows users</b></font></li>
                <li style="list-style-type:square;margin-left:20px">Search for <b>"extension=php_curl.dll"</b> in php.ini file. Uncomment this line, if not present then add this line in the file and save the file.</li>
                <li><font color="#C31111"><b>For Linux users</b></font>
                    <ul style="list-style-type:square;margin-left: 20px">
                        <li style="margin-top: 5px">Install php curl extension (If not installed yet)
                            <ul style="list-style-type:disc;margin-left: 15px;margin-top: 5px">
                                <li>For Debian, the installation command would be <b>apt-get install php-curl</b></li>
                                <li>For RHEL based systems, the command would be <b>yum install php-curl</b></li></ul></li></li>
                        <li>Search for <b>"extension=php_curl.so"</b> in php.ini file. Uncomment this line, if not present then add this line in the file and save the file.</li></ul><br/>
                <li style="margin-top: 5px;font-size: large; font-weight: bold">Step 3</li>
                <li style="list-style-type:square;margin-left:20px">Restart your server. After that refresh the "LDAP/AD" plugin configuration page.</li>
            </ul>
            For any further queries, please <a href="mailto:info@xecurify.com">contact us</a>.
        </div>
    </div>
        <?php } 
    if(!Mo_Ldap_Util::is_extension_installed('openssl')) {
        ?>
        <div class="notice notice-error is-dismissible">
        <p><font color="#FF0000">(Warning: <a target="_blank" href="http://php.net/manual/en/openssl.installation.php">PHP OpenSSL extension</a> is not installed or disabled)</font></p>
        </div>
        <?php
    }
} else { ?>
        <h2 style="text-align: center">miniOrange LDAP/Active Directory Login for Shared Hosting Environment</h2>
        <div style="float:left;display:block; "><a  class="add-new-h2 " style="font-size: 16px; color: #000;text-align: center;text-decoration: none;display: inline-block;" href="<?php echo add_query_arg( array( 'tab' => 'config' ), htmlentities( $_SERVER['REQUEST_URI'] ) ); ?>"><button id="Back-To-Plugin-Configuration" type="button" value="Back-To-Plugin-Configuration" class="button button-primary button-large"><span class="dashicons dashicons-arrow-left-alt" style="vertical-align: middle;"></span> Back To Plugin Configuration</button> </a> </div>
    <?php }?>
	
	<div class="mo2f_container">
		<h2 class="nav-tab-wrapper">
			<a class="nav-tab <?php echo $active_tab == 'account' ? 'nav-tab-active' : ''; ?>" href="<?php echo add_query_arg( array('tab' => 'account'), $_SERVER['REQUEST_URI'] ); ?>">Register/Login With miniOrange</a>
			<a class="nav-tab <?php echo $active_tab == 'config' ? 'nav-tab-active' : ''; ?>" href="<?php echo add_query_arg( array('tab' => 'config'), $_SERVER['REQUEST_URI'] ); ?>">LDAP Configuration</a>		
			<a class="nav-tab <?php echo $active_tab == 'rolemapping' ? 'nav-tab-active' : ''; ?>" href="<?php echo add_query_arg( array('tab' => 'rolemapping'), $_SERVER['REQUEST_URI'] ); ?>">Role Mapping</a>
			<a class="nav-tab <?php echo $active_tab == 'attributemapping' ? 'nav-tab-active' : ''; ?>" href="<?php echo add_query_arg( array('tab' => 'attributemapping'), $_SERVER['REQUEST_URI'] ); ?>">Attribute Mapping</a>
			<a class="nav-tab <?php echo $active_tab == 'troubleshooting' ? 'nav-tab-active' : ''; ?>" href="<?php echo add_query_arg( array('tab' => 'troubleshooting'), $_SERVER['REQUEST_URI'] ); ?>">Troubleshooting</a>
		</h2>
		<table style="width:100%;">
			<tr>
				<td style="width:65%;vertical-align:top;">
					<?php
							if($active_tab == "config") {
								mo_ldap_configuration_page();
							} else if($active_tab == 'rolemapping'){ 
								mo_ldap_rolemapping();
							} else if($active_tab == 'attributemapping'){ 
									mo_ldap_cloud_attribute_mapping_page();
							} else if($active_tab == 'troubleshooting'){ 
								mo_ldap_troubleshooting();
							}else {
								if (get_option ( 'mo_ldap_verify_customer' ) == 'true') {
									mo_ldap_login_page();
								} else if (trim ( get_option ( 'mo_ldap_admin_email' ) ) != '' && trim ( get_option ( 'mo_ldap_admin_api_key' ) ) == '' && get_option ( 'mo_ldap_new_registration' ) != 'true') {
									mo_ldap_login_page();
								} else if(get_option('mo_ldap_registration_status') == 'MO_OTP_DELIVERED_SUCCESS' || get_option('mo_ldap_registration_status') == 'MO_OTP_VALIDATION_FAILURE' || get_option('mo_ldap_registration_status') == 'MO_OTP_DELIVERED_FAILURE'){
									mo_ldap_show_otp_verification();
								}else if (! Mo_Ldap_Util::is_customer_registered()) {
									mo_ldap_registration_page();
								} else{
                                    mo_ldap_customer_details();
                                }
							}
					?>
				</td>
				<td style="vertical-align:top;padding-left:1%;">
					<?php echo mo_ldap_support(); mo_ldap_cloud_add_on_page();?>
				</td>
			</tr>
		</table>
		<?php if ( $active_tab == 'pricing' ){

            mo_ldap_show_pricing_page();
             } else?>

	</div>
	<?php
}
/*End of main function*/

/* Create Customer function */
function mo_ldap_registration_page(){
	update_option ( 'mo_ldap_new_registration', 'true' );
	
	$current_user = wp_get_current_user();
	
	?>


<!--Register with miniOrange-->
<form name="mo_ldap_registration_page" id="mo_ldap_registration_page" method="post" action="">
	<input type="hidden" name="option" value="mo_ldap_register_customer" />
	<input type="hidden" name="mo_ldap_register_nonce"
               value="<?php echo wp_create_nonce( 'mo_ldap_register_nonce' ); ?>"/>
	
	<div class="mo_ldap_table_layout" style="min-height: 274px;">
		
		<div id="panel1">
			<h3>Register with miniOrange</h3>
		<div id="help_register_desc" style="background: aliceblue; padding: 10px 10px 10px 10px; border-radius: 10px;">
                    You should register so that in case you need help, we can help you with step by step
                    instructions and also you can try our plugin trial for 30 days.
                    <b>You will also need a miniOrange account to upgrade to the premium version of the plugins.</b> We do not store any information except the email that you will use to register with us.
                </div>
                <br>
			<table class="mo_ldap_settings_table">
				<tr>
					<td><b><font color="#FF0000">*</font>Website/Company:</b></td>
					<td><input class="mo_ldap_table_textbox" type="tel" id="company"
						name="company"
						title="Website/Company"
						value="<?php echo $_SERVER['SERVER_NAME']; ?>"
						required placeholder="Company Name" />
					</td>
				</tr>
				<tr>
					<td><b><font color="#FF0000">*</font>Email:</b></td>
					<td><input class="mo_ldap_table_textbox" type="email" name="email"
						required placeholder="person@example.com"
						value="<?php echo $current_user->user_email; ?>" /></td>
				</tr>

				<tr>
					<td><b><font color="#FF0000">*</font>Password:</b></td>
					<td><input class="mo_ldap_table_textbox" required type="password"
						name="password" placeholder="Choose your password (Min. length 6)" minlength="6" pattern="^[(\w)*(!@#$.%^&*-_)*]+$"
                                   title="Minimum 6 characters should be present. Maximum 15 characters should be present. Only following symbols (!@#.$%^&*) should be present." />
					</td>
				</tr>
				<tr>
					<td><b><font color="#FF0000">*</font>Confirm Password:</b></td>
					<td><input class="mo_ldap_table_textbox" required type="password"
						name="confirmPassword" placeholder="Confirm your password" minlength="6" pattern="^[(\w)*(!@#$.%^&*-_)*]+$"
                                   title="Minimum 6 characters should be present. Maximum 15 characters should be present. Only following symbols (!@#.$%^&*) should be present." /></td>
				</tr>
				<tr>
                        <td>&nbsp;</td>
                        <td><br><input type="submit" name="submit" value="Register"
                                       class="button button-primary button-large"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <input type="button" name="mo_ldap_goto_login" id="mo_ldap_goto_login"
                                   value="Already have an account?" class="button button-primary button-large"/>&nbsp;&nbsp;

                        </td>
                    </tr>
			</table>
		</div>
	</div>
</form>

<form name="f1" method="post" action="" id="mo_ldap_goto_login_form">
        <input type="hidden" name="option" value="mo_ldap_goto_login"/>
		<input type="hidden" name="mo_ldap_goto_login_nonce"
               value="<?php echo wp_create_nonce( 'mo_ldap_goto_login_nonce' ); ?>"/>
    
    </form>
    <script>
        jQuery('#mo_ldap_goto_login').click(function () {
            jQuery('#mo_ldap_goto_login_form').submit();
        });
    </script>
<?php
}
/* End of Create Customer function */

/* Login for customer*/
function mo_ldap_login_page() {
	?>
		<!--Verify password with miniOrange-->
		<form name="mo_ldap_verify_password" id="mo_ldap_verify_password" method="post" action="">
			<input type="hidden" name="option" value="mo_ldap_verify_customer" />
			<input type="hidden" name="mo_ldap_verify_nonce"
               value="<?php echo wp_create_nonce( 'mo_ldap_verify_nonce' ); ?>"/>
			<div class="mo_ldap_table_layout">
				<div id="toggle1" class="panel_toggle">
				<h3>Login with miniOrange</h3>
				</div>
            <div id="panel1">
				<p><b>It seems you already have an account with miniOrange. Please enter your miniOrange email
                        and password.<br/> <a target="_blank"
                                              href="https://login.xecurify.com/moas/idp/resetpassword">Click
                            here if you forgot your password?</a></b></p>
                            <br/>
					<table class="mo_ldap_settings_table">
						<tr>
							<td><b><font color="#FF0000">*</font>Email:</b></td>
							<td><input class="mo_ldap_table_textbox" type="email" name="email"
								required placeholder="person@example.com"
								value="<?php echo get_option('mo_ldap_admin_email');?>" /></td>
						</tr>
						<tr>
							<td><b><font color="#FF0000">*</font>Password:</b></td>
							<td><input class="mo_ldap_table_textbox" required type="password"
								name="password" placeholder="Enter your miniOrange password" minlength="6" pattern="^[(\w)*(!@#$.%^&*-_)*]+$"
                                   title="Minimum 6 characters should be present. Maximum 15 characters should be present. Only following symbols (!@#.$%^&*) should be present." /></td>
						</tr>
						<tr>
                        <td>&nbsp;</td>
                        <td>
                            <input type="submit" name="submit" value="Login"
                                   class="button button-primary button-large"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <input type="button" name="mo_ldap_goback" id="mo_ldap_goback" value="Back"
                                   class="button button-primary button-large"/>
                    </td>
						</tr>
					</table>
            </div>
        </div>
			
		</form>
		<form name="f" method="post" action="" id="mo_ldap_goback_form">
        <input type="hidden" name="option" value="mo_ldap_cancel"/>
		<input type="hidden" name="mo_ldap_goback_nonce"
               value="<?php echo wp_create_nonce( 'mo_ldap_goback_nonce' ); ?>"/>
    </form>
    <script>
        jQuery('#mo_ldap_goback').click(function () {
            jQuery('#mo_ldap_goback_form').submit();
        });
    </script>
	<?php
}
/* End of Login for customer*/

function mo_ldap_customer_details(){
    ?>
    <div class="mo_ldap_table_layout" >
        <h2>Thank you for registering with miniOrange.</h2>

        <table border="1"
               style="background-color:#FFFFFF; border:1px solid #CCCCCC; border-collapse: collapse; padding:0px 0px 0px 10px; margin:2px; width:85%">
            <tr>
                <td style="width:45%; padding: 10px;">miniOrange Account Email</td>
                <td style="width:55%; padding: 10px;"><?php echo esc_attr(get_option( 'mo_ldap_admin_email' )); ?></td>
            </tr>
            <tr>
                <td style="width:45%; padding: 10px;">Customer ID</td>
                <td style="width:55%; padding: 10px;"><?php echo esc_attr(get_option( 'mo_ldap_admin_customer_key' )) ?></td>
            </tr>
        </table>
        <br /><br />

        <table>
            <tr>
                <td>
                    <form name="f1" method="post" action="" id="mo_ldap_change_account_form">
                        <input type="hidden" name="option" value="change_miniorange_account"/>
                        <input type="submit" value="Change Account" class="button button-primary button-large"/>
                    </form>
                </td><td>
                    <a href="<?php echo add_query_arg( array( 'tab' => 'pricing' ), htmlentities( $_SERVER['REQUEST_URI'] ) ); ?>"><input type="button" class="button button-primary button-large" value="Check Licensing Plans"/></a>
                </td>
            </tr>
        </table>

        <br />
    </div>

    <?php
}
/* Configure LDAP function */
function mo_ldap_configuration_page(){
	$default_config = get_option('mo_ldap_default_config');
	
	$server_url = isset($_POST['ldap_server']) ? $_POST['ldap_server'] :
		( get_option('mo_ldap_server_url') ? Mo_Ldap_Util::decrypt(get_option('mo_ldap_server_url')) : '');
    $ldap_server_protocol = ( get_option('mo_ldap_ldap_protocol') ? get_option('mo_ldap_ldap_protocol') : 'ldap');
    $ldap_server_address =  get_option('mo_ldap_ldap_server_address') ? Mo_Ldap_Util::decrypt(get_option('mo_ldap_ldap_server_address')) : '';
    $ldap_server_port_number = ( get_option('mo_ldap_ldap_port_number') ? get_option('mo_ldap_ldap_port_number') : '389');
    $ldaps_server_port_number = ( get_option('mo_ldap_ldaps_port_number') ? get_option('mo_ldap_ldaps_port_number') : '636');
	$dn = isset($_POST['dn']) ? $_POST['dn'] :
		(get_option('mo_ldap_server_dn') ? Mo_Ldap_Util::decrypt(get_option('mo_ldap_server_dn')) : '');
	$admin_password = isset($_POST['admin_password']) ? $_POST['admin_password'] :
		(get_option('mo_ldap_server_password') ? Mo_Ldap_Util::decrypt(get_option('mo_ldap_server_password')) : '');
	$search_base = isset($_POST['search_base']) ? $_POST['search_base'] :
		(get_option('mo_ldap_search_base') ? Mo_Ldap_Util::decrypt(get_option('mo_ldap_search_base')) : '');
	$search_filter = isset($_POST['search_filter']) ? $_POST['search_filter'] :
		(get_option('mo_ldap_search_filter') ? Mo_Ldap_Util::decrypt(get_option('mo_ldap_search_filter')) : '');
		
	?>
		<div class="mo_ldap_small_layout" style="margin-top:0px;">
			<!-- Toggle checkbox -->
			<?php if(!Mo_Ldap_Util::is_customer_registered()) { ?>
				<div style="display:block;margin-top:10px;color:red;background-color:rgba(251, 232, 0, 0.15);padding:5px;border:solid 1px rgba(255, 0, 9, 0.36);">Please <a href="<?php echo add_query_arg( array('tab' => 'account'), $_SERVER['REQUEST_URI'] ); ?>">Register or Login with miniOrange</a> to configure the miniOrange LDAP Plugin.</div>
			<?php }?>
			<form name="f" id="enable_login_form" method="post" action="">
				<input type="hidden" name="option" value="mo_ldap_enable" />
				<h3>Enable login using LDAP</h3>
				
				
				
				<?php 
					$serverUrl = get_option('mo_ldap_server_url');
					if(isset($serverUrl) && $serverUrl != ''){?>
						<input type="checkbox" id="enable_ldap_login" name="enable_ldap_login" value="1" <?php checked(get_option('mo_ldap_enable_login') == 1);?> />Enable LDAP login
				<?php } else{?>
						<input type="checkbox" id="enable_ldap_login" name="enable_ldap_login" value="1" <?php checked(get_option('mo_ldap_enable_login') == 1);?> disabled />Enable LDAP login
				<?php }?>
				<p>Enabling LDAP login will protect your login page by your configured LDAP. <b>Please check this only after you have successfully tested your configuration</b> as the default WordPress login will stop working.</p>
			</form>
			<script>
				jQuery('#enable_ldap_login').change(function() {
					jQuery('#enable_login_form').submit();
				});
			</script>
			
			
			<form name="f" id="enable_both_login_form" method="post" action="">
				<input type="hidden" name="option" value="mo_ldap_enable_both_login" />
					<input type="checkbox" id="mo_ldap_enable_both_login" name="mo_ldap_enable_both_login" value="1" <?php checked(get_option('mo_ldap_enable_both_login') == 1);?> />Authenticate user from both LDAP and WordPress ( This will allow users to use either of WordPress credentials or LDAP credentials. )
			</form>
			<br>
			<?php
				$redirect_to = get_option('mo_ldap_redirect_to');
				$mo_ldap_custom_url = get_option('mo_ldap_custom_redirect');
			?>
			<b>Redirect after authentication</b><br>
			<form name="f" id="form_redirect_to" method="post" action="" >
				<input type="hidden" name="option" value="mo_ldap_save_login_redirect" />
					<select id="redirect_to" name="redirect_to" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>>
					  <option value="none" <?php if($redirect_to == "none" || !$redirect_to){ echo "selected"; } ?>>NONE</option>
					  <option value="profile" <?php if($redirect_to == "profile"){ echo "selected"; } ?>>Profile Page</option>
					  <option value="homepage" <?php if($redirect_to == "homepage"){ echo "selected"; } ?>>Home Page</option>
					  <option value="custom" <?php if($redirect_to == "custom"){ echo "selected"; } ?>>Custom Page</option>
					</select><br>
			</form>

            <form name="custom_redirect_form" id="custom_redirect_form" method="post" action="">
                <input type="hidden" name="option" value="mo_ldap_custom_redirect">
                <input class="mo_ldap_table_textbox" type="url" id="mo_ldap_custom_url" name="mo_ldap_custom_url" required placeholder="" value="<?php echo $mo_ldap_custom_url;?>" <?php if($redirect_to == "custom") { ?> style="display: block" <?php } else { ?> style="display: none" <?php } ?> />
                <input type="submit" class="button button-primary button-large" value="Save" <?php if($redirect_to == "custom") { ?> style="display: block" <?php } else { ?> style="display: none" <?php } ?> />
            </form>
			<script>
				jQuery('#redirect_to').change(function() {
					jQuery('#form_redirect_to').submit();
				});
				jQuery('#mo_ldap_enable_both_login').change(function() {
					jQuery('#enable_both_login_form').submit();
				});
			</script>
			<br>
			
			
			
			<!-- Toggle checkbox -->
			<form name="f" id="enable_register_user_form" method="post" action="">
				<input type="hidden" name="option" value="mo_ldap_register_user" />
				<input type="checkbox" id="mo_ldap_register_user" name="mo_ldap_register_user" value="1" <?php checked(get_option('mo_ldap_register_user') == 1);?> />Enable Auto Registering users if they do not exist in WordPress
				</form>
				<br>
				<script>
				jQuery('#mo_ldap_register_user').change(function() {
					jQuery('#enable_register_user_form').submit();
				});
			</script>
			
				<?php 
				$enable_login= get_option('mo_ldap_enable_login');
				if($enable_login){ ?>
			<form name="f" id="enable_authorized_users_only" method="post" action="">
				<input type="hidden" name="option" value="mo_ldap_authorized_users_only" />
				<input type="checkbox" id="authorized_users_only" name="authorized_users_only" value="1" <?php checked(get_option('mo_ldap_authorized_users_only') == 1);?>/>Protect all website content by login. 
			</form>
			<script>
				jQuery('#authorized_users_only').change(function() {
					jQuery('#enable_authorized_users_only').submit();
				});
			</script>
			<br/>
				<?php } ?>
		</div>

		<div class="mo_ldap_small_layout">
			<!-- Save LDAP Configuration -->
			<form id="mo_form1" name="f" method="post" action="">
				<input id="mo_ldap_configuration_form_action" type="hidden" name="option" value="mo_ldap_save_config" />
				<input id="mo_ldap_ldap_server_port_no" type="hidden" name="mo_ldap_ldap_server_port_no" value="<?php echo $ldap_server_port_number;?>" />
                <input id="mo_ldap_ldaps_server_port_no" type="hidden" name="mo_ldap_ldaps_server_port_no" value="<?php echo $ldaps_server_port_number;?>" />
				<!-- Copy default values to configuration -->
				<p><strong style="font-size:14px;">NOTE: </strong> You need to find out the values for the below given fields from your LDAP Administrator.</strong></p>
				<p><strong style="font-size:14px;">NOTE: </strong>You need to allow incoming requests from hosts - <font style="color:blue">52.55.147.107</font> and <font style="color:blue">52.86.38.163</font> by a firewall rule for the port <font style="color:blue">389</font>(<font style="color:blue">636</font> for SSL or ldaps) on LDAP Server.</p>
				<p>
                <i><b><a href=" https://plugins.miniorange.com/step-by-step-guide-for-wordpress-ldap-login-cloud"
                         target="_blank">Click here</a> to go through the step by step document to configure the plugin.</b></i>
            </p>
				<h3 class="mo_ldap_left">LDAP Connection Information</h3>
				<div id="panel1">
					<table class="mo_ldap_settings_table" style="width: 100%">
						<tr>
							<td style="width: 24%"><b><font color="#FF0000">*</font>LDAP Server:</b></td>
							<td style="float:left"><div id="ldap_server_url_pointer" style="position: relative;border-radius: 10px;">
                                    <select style="width: 110%;" name="mo_ldap_protocol" id="mo_ldap_protocol" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?> >
                                        <?php if ($ldap_server_protocol == 'ldap') {?>
                                        <option value="ldap" selected>ldap</option>
                                            <option value="ldaps">ldaps</option>
                                        <?php } elseif ($ldap_server_protocol == 'ldaps') {?>
                                            <option value="ldap">ldap</option>
                                        <option value="ldaps" selected>ldaps</option>
                                        <?php }?>
                                    </select></div></td>
                                    <td style="float: left;width: 66%;"><input class="mo_ldap_table_textbox" type="text" id="ldap_server" name="ldap_server" style="width: 110%;margin-left: 10%" required placeholder="LDAP Server hostname or IP address" value="<?php echo $ldap_server_address?>" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/></td>
                            <td style="width: 10%;"><div id="mo_ldap_server_port_number_div" style="position: relative;border-radius: 10px">
                                    <?php if ($ldap_server_protocol == 'ldap') {?>
                                    <input type="text" id="mo_ldap_server_port_no" style="width: 100%;" name="mo_ldap_server_port_no" required placeholder="port number" value="<?php echo $ldap_server_port_number;?>" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/>
                                    <?php } else if ($ldap_server_protocol == 'ldaps') {?>
                                    <input type="text" id="mo_ldap_server_port_no" style="width: 100%;" name="mo_ldap_server_port_no" required placeholder="port number" value="<?php echo $ldaps_server_port_number;?>" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/>
                                    <?php }?>
                                </div></td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><i>Select ldap or ldaps from the above dropdwon list. Specify the host name for the LDAP server in the above text field. Edit the port number if you have custom port number.</i></td>
						</tr>
						<tr>
							<td></td>
							<td float="right"><i>Confirm connection to your LDAP server from <font style="color:blue">52.55.147.107</font> , <font style="color:blue">52.86.38.163</font> through port <font style="color:blue">389</font>(<font style="color:blue">636</font> for SSL or ldaps).</i></td>
						</tr>
					 </table>

					 <table style="width: 100%">
                        <tr><td style="width: 24%"></td></tr>
						<tr>
							<td style="width: 24%"><b><font color="#FF0000">*</font>Username:</b></td>
							<td><div id="ldap_server_username" style="position: relative" ><input class="mo_ldap_table_textbox" type="text" id="dn" name="dn" required placeholder="Enter username"value="<?php echo $dn?>" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?> /></div></td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><i>You can specify the Username of the LDAP server in the either way as follows<br/><b> Username@domainname or Distinguished Name(DN) format</b></i></td>
						</tr>
                        <tr><td></td></tr>
                        <tr><td></td></tr>
                        <tr><td></td></tr>
						<tr>
							<td style="width: 24%"><b><font color="#FF0000">*</font>Password:</b></td>
							<td><div id="ldap_server_password" style="position: relative;"><input class="mo_ldap_table_textbox" required type="password" name="admin_password" placeholder="Enter password" value="<?php echo $admin_password?>" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/></div></td>
						</tr>
						<tr><td></td></tr>
                        <tr><td></td></tr>
						<tr>
							<td>&nbsp;</td>
                            <td><b>The above username and password will be used to establish the connection to your LDAP server.</b></td>
						</tr>
						<tr><td>&nbsp;</td></tr>
					</table>
				</div>
				<h3>LDAP User Mapping Configuration</h3>
				<div id="panel1">
					<table class="mo_ldap_settings_table">
						<tr><td>&nbsp;</td></tr>
						<tr>
                            <td style="width: 24%"><b><font color="#FF0000">*</font>SearchBase(s):</b></td>
							<td><input class="mo_ldap_table_textbox" type="text" id="search_base" name="search_base" required placeholder="dc=domain,dc=com" value="<?php echo $search_base?>" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/></td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><i>This is the LDAP Tree under which we will search for the users for authentication.  If we are not able to find a user in LDAP it means they are not present in this search base or any of its sub trees. They may be present in some other search base.<br> Provide the distinguished name of the Search Base object. <b>eg. cn=Users,dc=domain,dc=com</b>.If you have users in different locations in the directory(OU's), separate the distinguished names of the search base objects by a semi-colon(;). <b>eg. cn=Users,dc=domain,dc=com; ou=people,dc=domian,dc=com</b></i></td>
						</tr>
						<tr><td>&nbsp;</td></tr>
						
						<tr>
							<td><b><font color="#FF0000">*</font>LDAP Search Filter:</b></td>
							<td><input class="mo_ldap_table_textbox" type="text" id="search_filter" name="search_filter" required placeholder="(&(objectClass=*)(cn=?))" value="<?php echo $search_filter?>" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?> /></td>
						</tr>
						
						<tr>
							<td>&nbsp;</td>
							<td><i>This field is important for two reasons. <br>1. While searching for users, this is the attribute that is going to be matched to see if the user exists.  <br>2. If you want your users to login with their username or firstname.lastname or email - you need to specify those options in this field. e.g. <b>(&(objectClass=*)(&lt;LDAP_ATTRIBUTE&gt;=?))</b>. Replace <b>&lt;LDAP_ATTRIBUTE&gt;</b> with the attribute where your username is stored. Some common attributes are 
							<ol>
							<table>
								<tr><td style="width:50%">common name</td><td>(&(objectClass=*)(<b>cn</b>=?))</td></tr>
								<tr><td>email</td><td>(&(objectClass=*)(<b>mail</b>=?))</td></tr> 
								<tr><td>logon name</td><td>(&(objectClass=*)(<b>sAMAccountName</b>=?))<br/>(&(objectClass=*)(<b>userPrincipalName</b>=?))</td></tr>
								<tr><td>custom attribute where you store your WordPress usernames use</td> <td>(&(objectClass=*)(<b>customAttribute</b>=?))</td></tr>
								
							</table><br>
							You can even allow logging in with multiple attributes e.g. you can allow logging in with username or email e.g. (&(objectClass=*)(<b>|</b>(<b>cn=?</b>)(<b>mail=?</b>)))
							</ol></td>
						</tr>
						<tr><td></td><td>Please make clear that the attributes that we are showing are examples and the actual ones could be different. These should be confirmed with the LDAP Admin.</td></tr>
						
						</tr>
						<tr><td>&nbsp;</td></tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="submit" class="button button-primary button-large" value="Test Connection & Save" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/>&nbsp;&nbsp; <input
								type="button" id="conn_help" class="help button button-large trouble_button" value="Troubleshooting" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?> /></td>
						</tr>
						<tr>
							<td colspan="2" id="conn_troubleshoot" hidden>
								<p>
									<strong>Are you having trouble connecting to your LDAP server from this plugin?</strong>
									<ol>
										<li>Please check to make sure that all the values entered in the <b>LDAP Connection Information</b> section are correct.</li>
										<li>If all those values are correct, then you need to make sure that if there is a firewall, you open the firewall to allow incoming requests to your LDAP. Please open port 389(636 for SSL or ldaps). Host - 52.55.147.107 , 52.86.38.163 - This is the host from where the LDAP connection as well as authentication requests are going to be made.</li>
										<li>If you are still having problems, submit a query using the support panel on the right hand side.</li>
									</ol>
								</p>
							</td>
						</tr>
					</table>
				</div>
				<script>
                    jQuery("#mo_ldap_protocol").change(function() {

                        var current_selected_protocol_name = jQuery("#mo_ldap_protocol").val();
                        var port_number_field = document.getElementById("mo_ldap_server_port_no");
                var ldap_port_number_value = document.getElementById("mo_ldap_ldap_server_port_no").value;
                var ldaps_port_number_value = document.getElementById("mo_ldap_ldaps_server_port_no").value;
                        if (current_selected_protocol_name == "ldaps") {
                    port_number_field.value = ldaps_port_number_value;
            } else {
                    port_number_field.value = ldap_port_number_value;
            }
                    });

                    <?php if (!Mo_Ldap_Util::is_customer_registered()) { ?>
				jQuery( document ).ready(function() {
						jQuery("#enable_login_form :input").prop("disabled", true);
						jQuery("#enable_both_login_form :input").prop("disabled", true);
						jQuery("#custom_redirect_form:input").prop("disabled", true);
						jQuery("#enable_register_user_form :input").prop("disabled", true);
					});
			<?php } ?>
		</script>
			</form>
		</div>
		<div class="mo_ldap_small_layout">
		<!-- Authenticate with LDAP configuration -->
		<form name="f" method="post" action="">
			<input type="hidden" name="option" value="mo_ldap_test_auth" />
			<h3>Test Authentication</h3>
			<div id="test_conn_msg"></div>
			<div id="panel1">
				<table class="mo_ldap_settings_table">
					<tr>
						<td style="width: 24%"><b><font color="#FF0000">*</font>Username:</b></td>
						<td><input class="mo_ldap_table_textbox" type="text" name="test_username" required placeholder="Enter username" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/></td>
					</tr>
					<tr>
						<td><b><font color="#FF0000">*</font>Password:</b></td>
						<td><input class="mo_ldap_table_textbox" type="password" name="test_password" required placeholder="Enter password" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/></td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td><input type="submit" class="button button-primary button-large" value="Test Authentication" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?>/>&nbsp;&nbsp; <input
								type="button" id="auth_help" class="help button button-large trouble_button" value="Troubleshooting" <?php if(!Mo_Ldap_Util::is_customer_registered()) echo 'disabled'?> /></td>
					</tr>
					<tr>
						<td colspan="2" id="auth_troubleshoot" hidden>
							<p>
								<strong>User is not getting authenticated? Check the following:</strong>
								<ol>
									<li>The username-password you are entering is correct.</li>
									<li>The user is present in the search bases you have specified against <b>SearchBase(s)</b> above.</li>
								</ol>
							</p>
						</td>
					</tr>
				</table>
			</div>
		</form>
		</div>
	<?php
}
/* End of Configure LDAP function */

/* Show OTP verification page*/
function mo_ldap_show_otp_verification(){
	?>
		<div class="mo_ldap_table_layout">
			
				<table class="mo_ldap_settings_table">
		<!-- Enter otp -->
					<form name="f" method="post" id="ldap_form" action="">
						<input type="hidden" name="option" value="mo_ldap_validate_otp" />
						<h3>Verify Your Email</h3>
						<tr>
							<td><b><font color="#FF0000">*</font>Enter OTP:</b></td>
							<td colspan="2"><input class="mo_ldap_table_textbox" autofocus="true" type="text" name="otp_token" required placeholder="Enter OTP" style="width:61%;" />
							 &nbsp;&nbsp;<a style="cursor:pointer;" onclick="document.getElementById('resend_otp_form').submit();">Resend OTP</a></td>
						</tr>
						<tr><td colspan="3"></td></tr>
						<tr>
							<td>&nbsp;</td>
							<td>
							<input type="submit" value="Validate OTP" class="button button-primary button-large" />
							<a id="back_button" href=""class="button button-primary button-large">Cancel</a>
							</td>

					</form>
					<form name="f" id="resend_otp_form" method="post" action="">
							<td>
							<input type="hidden" name="option" value="mo_ldap_resend_otp"/>
							</td>
						</tr>
					</form>
				</table>
			
		</div>
		<script>
			jQuery('#back_button').click(function() {
				<?php update_option( 'mo_ldap_registration_status', '' );?>
				window.location.reload();
			}
		</script>
<?php
}
/* End Show OTP verification page*/



/* Role Mapping */
function mo_ldap_rolemapping() {
	?>
<div class="mo_ldap_small_layout" style="margin-top:0px;">
	<?php if(!Mo_Ldap_Util::is_customer_registered()) { ?>
				<div style="display:block;margin-top:10px;color:red;background-color:rgba(251, 232, 0, 0.15);padding:5px;border:solid 1px rgba(255, 0, 9, 0.36);">Please <a href="<?php echo add_query_arg( array('tab' => 'account'), $_SERVER['REQUEST_URI'] ); ?>">Register or Login with miniOrange</a> to configure the miniOrange LDAP Plugin.</div>
			<?php }?>

		<form name="f" id="enable_role_mapping_form" method="post" action="">
				<input type="hidden" name="option" value="mo_ldap_enable_role_mapping" />
				<h3>LDAP Groups to WP User Role Mapping</h3>
				<input type="checkbox" id="enable_ldap_role_mapping" name="enable_ldap_role_mapping"  value="1" <?php checked(get_option('mo_ldap_enable_role_mapping') == 1);?>  />Enable Role Mapping
				<p>Enabling Role Mapping will automatically map Users from LDAP Groups to below selected WordPress Role. Role mapping will not be applicable for primary admin of wordpress.</p>
			</form>

		<form name="f" id="keep_existing_user_roles_form" method="post" action="">
			<input type="hidden" name="option" value="mo_ldap_keep_existing_user_roles"/>
			<input type="checkbox" id="keep_existing_user_roles" name="keep_existing_user_roles" value="1" <?php checked(get_option('mo_ldap_keep_existing_user_roles') == 1);?>>Do not remove existing roles of users (New Roles will be added)
		</form>


	<form id="role_mapping_form" name="f" method="post" action="">
				<input id="mo_ldap_user_mapping_form" type="hidden" name="option" value="mo_ldap_save_role_mapping" />
				
				<div id="panel1">
					<table class="mo_ldap_mapping_table"  style="width:100%">
							<tr>
								<td colspan=2><i> Default role will be assigned to all users for which mapping is not specified.</i></td>
							</tr>
							<tr>
							<td ><font style="font-size:13px;font-weight:bold;">Default Role </font></td>
							<td style="width:55%">
								<select name="mapping_value_default" style="width:80%" id="default_group_mapping">
								   <?php
								   	 if(get_option('mo_ldap_mapping_value_default'))
								   	 	$default_role = get_option('mo_ldap_mapping_value_default');
								   	 else 
								   	 	$default_role = get_option('default_role');
								   	 wp_dropdown_roles($default_role); ?>
								</select>
								<select style="display:none" id="wp_roles_list">
								   <?php wp_dropdown_roles($default_role); ?>
								</select>
							</td>
						</tr>
						<tr><td>&nbsp;</td></tr>
						
						</table>
						<table class="mo_ldap_mapping_table" id="ldap_role_mapping_table" style="width:90%;">
						<tr>
							<td style="width:50%"><b>LDAP Group Name</b></td>
							<td style="width:50%"><b>WordPress Role</b></td>
						</tr>
						
						<?php 
						$mapping_count = 1;
						if(is_numeric(get_option('mo_ldap_role_mapping_count')))
							$mapping_count = intval(get_option('mo_ldap_role_mapping_count'));
						for($i = 1 ; $i <= $mapping_count ; $i++){
							 
						?>
						<tr>
							<td><input class="mo_ldap_table_textbox" type="text" name="mapping_key_<?php echo $i;?>"
								 value="<?php echo get_option('mo_ldap_mapping_key_'.$i);?>"  placeholder="cn=group,dc=domain,dc=com" />
							</td>
							<td>
								<select name="mapping_value_<?php echo $i;?>" id="role" style="width:100%">
								   <?php wp_dropdown_roles( get_option('mo_ldap_mapping_value_'.$i) ); ?>
								</select>
							</td>
						</tr>
						<?php }
						
						if($mapping_count==0){ ?>
						<tr>
							<td><input class="mo_ldap_table_textbox" type="text" name="mapping_key_1"
								 value="" placeholder="cn=group,dc=domain,dc=com" />
							</td>
							<td>
								<select name="mapping_value_1" id="role" style="width:100%">
								   <?php wp_dropdown_roles(); ?>
								</select>
							</td>
						</tr>
						<?php }
						
						?>
						</table>
						<table class="mo_ldap_mapping_table" id="ldap_role_mapping_table" style="width:90%;">
						<tr><td><a style="cursor:pointer"id ="add_mapping">Add More Mapping</a><br><br></td><td>&nbsp;</td></tr>
						
						
						<tr>
								<td colspan=2><i> Specify attribute which stores group names to which LDAP Users belong.</i></td>
							</tr>
							<tr>
							<td style="width:50%"><font style="font-size:13px;font-weight:bold;">LDAP Group Attributes Name </font>
							</td>
							<td>
								  <?php
								   	 if(!get_option('mo_ldap_mapping_memberof_attribute'))
								   	 	update_option( 'mo_ldap_mapping_memberof_attribute', 'memberOf' );
								   	 $mapping_memberof_attribute = get_option('mo_ldap_mapping_memberof_attribute');
								   ?>
								<input type="text" name="mapping_memberof_attribute" required="true" placeholder="Group Attributes Name" style="width:100%;" value="<?php echo $mapping_memberof_attribute;?>">
							</td>
						</tr>
						<tr><td>&nbsp;</td></tr>
						<tr>
							<td><input type="submit" class="button button-primary button-large" value="Save Mapping"/></td>
							<td>&nbsp;</td>
						</tr>
						
					</table>
				</div>
			</form>
			
			<form method="post" id="rolemappingtest">
			<br>
				<h3>Test Role Mapping Configuration</h3>
				Enter LDAP username to test role mapping configuration
				<table id="attributes_table" class="mo_ldap_settings_table">
					<tbody><tr></tr>
					<tr></tr>
					<tr>
						<td>Username</td>
						<td style="width:55%"><input type="text" id="mo_ldap_username" name="mo_ldap_username"required="" placeholder="Enter Username" style="width:80%;">
					</td></tr>
					<tr>
					<td><input type="submit" value="Test Configuration" class="button button-primary button-large"></td>
					</tr>
				</tbody></table>
			</form><br><br>
</div>
<script>
	jQuery( document ).ready(function() {
		jQuery("#default_group_mapping option[value='administrator']").remove();
	});
	jQuery('#enable_ldap_role_mapping').change(function() {
		jQuery('#enable_role_mapping_form').submit();
	});
	jQuery("#keep_existing_user_roles").change(function(){
		jQuery("#keep_existing_user_roles_form").submit();
	});

	<?php if (Mo_Ldap_Util::is_customer_registered()) { ?>

	jQuery('#add_mapping').click(function() {
		var last_index_name = jQuery('#ldap_role_mapping_table tr:last .mo_ldap_table_textbox').attr('name');
		var splittedArray = last_index_name.split("_");
		var last_index = parseInt(splittedArray[splittedArray.length-1])+1;
		var dropdown = jQuery("#wp_roles_list").html();
		var new_row = '<tr><td><input class="mo_ldap_table_textbox" type="text" placeholder="cn=group,dc=domain,dc=com" name="mapping_key_'+last_index+'" value="" /></td><td><select name="mapping_value_'+last_index+'" style="width:100%" id="role">'+dropdown+'</select></td></tr>';
		jQuery('#ldap_role_mapping_table tr:last').after(new_row);
	});
	<?php } ?>
	jQuery("#rolemappingtest").submit(function(event ) {
		event.preventDefault();
		testCloudRoleMappingConfiguration();
	});
	function testCloudRoleMappingConfiguration(){
		var username = jQuery("#mo_ldap_username").val();
		var myWindow = window.open('<?php echo site_url(); ?>' + '/?option=testcloudrolemappingconfig&user='+username, "Test Attribute Configuration", "width=600, height=600");	
	}
</script>
<script>
	<?php if (!Mo_Ldap_Util::is_customer_registered()) { ?>
		jQuery( document ).ready(function() {
				jQuery("#enable_role_mapping_form :input").prop("disabled", true);
				jQuery("#keep_existing_user_roles_form :input").prop("disabled", true);
				jQuery("#enable_role_mapping_form :input[type=text]").val("");
				jQuery("#enable_role_mapping_form :input[type=url]").val("");
				jQuery("#role_mapping_form :input").prop("disabled", true);
				jQuery("#role_mapping_form :input[type=text]").val("");
				jQuery("#role_mapping_form :input[type=url]").val("");
				jQuery("#rolemappingtest :input").prop("disabled", true);
			});
	<?php } ?>
</script>
<?php
}
/* End of Role Mapping */


/* Attribute Mapping */

function mo_ldap_cloud_attribute_mapping_page(){ 

	?>
		<div class="mo_ldap_table_layout">
			<?php if(!Mo_Ldap_Util::is_customer_registered()) { ?>
				<div style="display:block;margin-top:10px;color:red;background-color:rgba(251, 232, 0, 0.15);padding:5px;border:solid 1px rgba(255, 0, 9, 0.36);">Please <a href="<?php echo add_query_arg( array('tab' => 'account'), $_SERVER['REQUEST_URI'] ); ?>">Register or Login with miniOrange</a> to configure the miniOrange LDAP Plugin.</div>
			<?php }?>
			<form name="f" method="post" id="attribute_config_form">
				<table id="attributes_table" class="mo_ldap_settings_table">
					
						<input type="hidden" name="option" value="mo_ldap_cloud_save_attribute_config" />
						<h3>Attribute Configuration</h3>
						<tr>
							<td><input type="checkbox" id="enable_update_cloud_ldap" name="enable_update_ldap"  value="1" <?php checked(get_option('mo_ldap_enable_attribute_mapping') == 1);?>  />Enable Attribute Mapping</td>
						</tr>
						<tr>
							<td style="width:70%;"><br>Configure LDAP attribute names for below attributes.</td>
						</tr>
						<tr>
							<td style="width:40%;"><b><font color="#FF0000">*</font>Email Attribute</b></td>
							<td><input type="text" name="mo_ldap_email_attribute" required placeholder="Enter Email attribute" style="width:100%;" 
							value="<?php echo get_option('mo_ldap_email_attribute');?>"/></td>
						</tr>
						<tr>
							<td style="width:40%;"><b><font color="#FF0000">*</font>Phone Attribute</b></td>
							<td><input type="text" name="mo_ldap_phone_attribute" required placeholder="Enter Phone attribute" style="width:100%;" 
							value="<?php echo get_option('mo_ldap_phone_attribute');?>"/></td>
						</tr>
						<tr>
							<td style="width:40%;"><b><font color="#FF0000">*</font>First Name Attribute</b></td>
							<td><input type="text" name="mo_ldap_fname_attribute" required placeholder="Enter First Name attribute" style="width:100%;" 
							value="<?php echo get_option('mo_ldap_fname_attribute');?>" /></td>
						</tr>
						<tr>
							<td style="width:40%;"><b><font color="#FF0000">*</font>Last Name Attribute</b></td>
							<td><input type="text" name="mo_ldap_lname_attribute" required placeholder="Enter Last Name attribute" style="width:100%;" 
							value="<?php echo get_option('mo_ldap_lname_attribute');?>" /></td>
						</tr>
						<tr>
							<td style="width:40%;"><b><font color="#FF0000">*</font>Nickname Attribute</b></td>
							<td><input type="text" name="mo_ldap_nickname_attribute" required placeholder="Enter NickName attribute" style="width:80%;" 
							value="<?php echo get_option('mo_ldap_nickname_attribute');?>"></td>
						</tr>
						
						<tr>
							<td style="width:40%;"><b><font color="#FF0000">*</font>Display Name</b></td>
							<td>
								<select name="mo_ldap_display_name_attribute">
									<option value="nickname" <?php if(get_option('mo_ldap_display_name_attribute') == "nickname") echo 'selected="selected"';?> >NickName</option>
									<option value="email" <?php if(get_option('mo_ldap_display_name_attribute') == "email") echo 'selected="selected"';?> >Email</option>
									<option value="firstname" <?php if(get_option('mo_ldap_display_name_attribute') == "firstname") echo 'selected="selected"';?> >First Name</option>
									<option value="firstlast" <?php if(get_option('mo_ldap_display_name_attribute') == "firstlast") echo 'selected="selected"';?> >First Name + Last Name</option>
									<option value="lastfirst" <?php if(get_option('mo_ldap_display_name_attribute') == "lastfirst") echo 'selected="selected"';?> >Last Name + First Name</option>
								</select>
							</td>
						</tr>
						<?php
							$custom_attributes = array();
							$wp_options = wp_load_alloptions();
							foreach($wp_options as $option=>$value){
								if(strpos($option, "mo_ldap_custom_attribute") === false){
									//Do nothing
								} else{
									?><tr>
										<td><b><font color="#FF0000"></font><?php echo $value; ?> Attribute</b></td>
										<td><b><?php echo get_option($option); ?></b></td>
                                        <td><a style="cursor:pointer;" <?php if (Mo_Ldap_Util::is_customer_registered()) echo "onclick=deleteAttribute('".$value."')" ?>>Delete</a></td>									
					</tr><?php
								}
							}
						?>
						<tr><td><h3>Add Custom Attributes</h3></td></tr>
						
						<tr>
							<td>Enter extra LDAP attributes which you wish to be included in the user profile</td>
						</tr>
						<tr>
							<td><input type="text" name="mo_ldap_custom_attribute_1_name" placeholder="Custom Attribute Name" style="width:61%;" /></td>
							<td><input type="button" name="add_attribute" value="+" onclick="add_custom_attribute();" class="button button-primary" />&nbsp;
							<input type="button" name="remove_attribute" value="-" onclick="remove_custom_attribute();" class="button button-primary" /></td>
						</tr>
						<tr id="save_config_element">
							<td>
								<input type="submit" value="Save Configuration" class="button button-primary button-large" />
							</td>
						</tr>
					
				</table>
			</form>

			<form id="delete_custom_attribute_form" method="post">
				<input type="hidden" name="option" value="mo_ldap_delete_custom_attribute" />
				<input type="hidden" id="custom_attribute_name" name="custom_attribute_name" value="" />
			</form> 
			
			<form method="post" id="attribiteconfigtest">
				<input type="hidden" name="option" value="mo_ldap_test_attribute_configuration" />
				<table id="attributes_table" class="mo_ldap_settings_table">
					<tr><h3>Test Attribute Configuration</h3></tr>
					<tr>Enter LDAP username to test attribute configuration</tr>
					<tr>
						<td>Username</td>
						<td><input type="text" id="mo_ldap_username" name="mo_ldap_username" required placeholder="Enter Username" style="width:61%;">
					</tr>
					<tr>
					<!--<td><input type="submit" value="Test Configuration" class="button button-primary button-large" /></td>-->
					<td><input type="submit" value="Test Configuration" class="button button-primary button-large"></td>
					</tr>
				</table>
			</form>
			<script>
			
			<?php if (!Mo_Ldap_Util::is_customer_registered()) { ?>
				jQuery( document ).ready(function() {
						jQuery("#attribute_config_form :input").prop("disabled", true);
						jQuery("#attribute_config_form :input[type=text]").val("");
						jQuery("#attribute_config_form :input[type=url]").val("");
						jQuery("#attribute_config_form :input").prop("disabled", true);
						jQuery("#attribute_config_form :input[type=text]").val("");
						jQuery("#attribute_config_form :input[type=url]").val("");
						jQuery("#attribiteconfigtest :input").prop("disabled", true);
					});
			<?php } ?>
			
			jQuery("#attribiteconfigtest").submit(function(event ) {
				event.preventDefault();
				testConfiguration();
			});
			
			function testConfiguration(){
				var username = jQuery("#mo_ldap_username").val();
				var myWindow = window.open('<?php echo site_url(); ?>' + '/?option=testldapcloudattrconfig&user='+username, "Test Attribute Configuration", "width=600, height=600");	
			}
			
			
			var countAttributes;
			function add_custom_attribute(){
				countAttributes += 1;
				jQuery("<tr id='row_" + countAttributes + "'><td><input type='text' id='mo_ldap_custom_attribute_" + countAttributes + "_name' name='mo_ldap_custom_attribute_" + countAttributes + "_name' placeholder='Custom Attribute Name' style='width:61%;' /></td></tr>").insertBefore(jQuery("#save_config_element"));
			}

			function remove_custom_attribute(){
				jQuery("#row_" + countAttributes).remove();
				countAttributes -= 1;
				if(countAttributes == 0)
					countAttributes = 1;
			}

			function deleteAttribute(attributeName){
				jQuery("#custom_attribute_name").val(attributeName);
				jQuery("#delete_custom_attribute_form").submit();
			}

			jQuery(document).ready(function(){
				countAttributes = 1;
			});
			
			</script>
		</div>
<?php
}

/* End of attribute mapping */

function mo_ldap_troubleshooting(){
	?>
	
	<div class="mo_ldap_table_layout">
		<table class="mo_ldap_help">
					<tbody><tr>
						<td class="mo_ldap_help_cell">
							<div id="help_curl_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">How to enable PHP cURL extension? (Pre-requisite)</div>
							</div>
							<div hidden="" id="help_curl_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>Step 1:&nbsp;&nbsp;&nbsp;&nbsp;Open php.ini file located under php installation folder.</li>
									<li>Step 2:&nbsp;&nbsp;&nbsp;&nbsp;Search for <b>extension=php_curl.dll</b>. </li>
									<li>Step 3:&nbsp;&nbsp;&nbsp;&nbsp;Uncomment it by removing the semi-colon(<b>;</b>) in front of it.</li>
									<li>Step 4:&nbsp;&nbsp;&nbsp;&nbsp;Restart the Apache Server.</li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
				
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_ldap_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">Allow access from Firewall (Pre-requisite)</div>
							</div>
							<div hidden="" id="help_ldap_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>You need to allow incoming requests from hosts - <font style="color:blue">52.55.147.107</font> and <font style="color:blue">52.86.38.163</font> by a firewall rule for the port <font style="color:blue">389</font>(<font style="color:blue">636</font> for SSL or ldaps) on LDAP Server.</li>
									<li>You can follow steps here : <a href="http://www.rackspace.com/knowledge_center/article/create-an-inbound-port-allow-rule-for-windows-firewall-2008" target="_blank">http://www.rackspace.com/knowledge_center/article/create-an-inbound-port-allow-rule-for-windows-firewall-2008</a></li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
						<div id="help_ping_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">Why is Contact LDAP Server not working?</div>
							</div>
							<div hidden="" id="help_ping_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;Check your LDAP Server URL to see if it is correct.<br>
									 eg. ldap://myldapserver.domain:389 , ldap://89.38.192.1:389. When using SSL, the host may have to take the form ldaps://host:636.</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;Your LDAP Server may be behind a firewall. Check if the firewall is open to allow requests from hosts - <font style="color:blue">52.55.147.107</font> and <font style="color:blue">52.86.38.163</font> and the port <font style="color:blue">389</font>(<font style="color:blue">636</font> for SSL or ldaps) on LDAP Server.</li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_invaliddn_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">Why is Test LDAP Configuration not working?</div>
							</div>
							<div hidden="" id="help_invaliddn_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;Check if you have entered valid Service Account DN(distinguished Name) of the LDAP server. <br>e.g. cn=username,cn=group,dc=domain,dc=com<br>
									uid=username,ou=organisational unit,dc=domain,dc=com</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;Check if you have entered correct Password for the Service Account.</li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_invalidsf_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">Why is Test Authentication not working?</div>
							</div>
							<div hidden="" id="help_invalidsf_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;The username/password combination you provided may be incorrect.</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;You may have provided a <b>Search Base(s)</b> in which the user does not exist.</li>
									<li>3.&nbsp;&nbsp;&nbsp;&nbsp;Your <b>Search Filter</b> may be incorrect and the username mapping may be to an LDAP attribute other than the ones provided in the Search Filter</li>
									<li>4.&nbsp;&nbsp;&nbsp;&nbsp;You may have provided an incorrect <b>Distinguished Name attribute</b> for your LDAP Server.
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_seracccre_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">What are the LDAP Service Account Credentials?</div>
							</div>
							<div hidden="" id="help_seracccre_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;Service account is an non privileged user which is used to bind to the LDAP Server. It is the preferred method of binding to the LDAP Server if you have to perform search operations on the directory.</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;The distinguished name(DN) of the service account object and the password are provided as credentials.</li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_sbase_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">What is meant by Search Base in my LDAP environment?</div>
							</div>
							<div hidden="" id="help_sbase_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;Search Base denotes the location in the directory where the search for a particular directory object begins.</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;It is denoted as the distinguished name of the search base directory object. eg: CN=Users,DC=domain,DC=com.</li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_sfilter_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">What is meant by Search Filter in my LDAP environment?</div>
							</div>
							<div hidden="" id="help_sfilter_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;Search Filter is a basic LDAP Query for searching users based on mapping of username to a particular LDAP attribute.</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;The following are some commonly used Search Filters. You will need to use a search filter which uses the attributes specific to your LDAP environment. Confirm from your LDAP administrator.</li>
										<ul>
											<table>
												<tr><td style="width:50%">common name</td><td>(&(objectClass=*)(<b>cn</b>=?))</td></tr>
												<tr><td>email</td><td>(&(objectClass=*)(<b>mail</b>=?))</td></tr> 
												<tr><td>logon name</td><td>(&(objectClass=*)(<b>sAMAccountName</b>=?))<br/>(&(objectClass=*)(<b>userPrincipalName</b>=?))</td></tr>
												<tr><td>custom attribute where you store your WordPress usernames use</td> <td>(&(objectClass=*)(<b>customAttribute</b>=?))</td></tr>
												<tr><td>if you store Wordpress usernames in multiple attributes(eg: some users login using email and others using their username)</td><td>(&(objectClass=*)(<b>|</b>(<b>cn=?</b>)(<b>mail=?</b>)))</td></tr>
											</table>
										</ul>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_ou_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">How do users present in different Organizational Units(OU's) login into Wordpress?</div>
							</div>
							<div hidden="" id="help_ou_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;You can provide multiple search bases seperated by a semi-colon to ensure users present in different OU's are able to login into Wordpress.</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;You can also provide the RootDN value in the Search Base so that users in all subtrees of the RootDN are able to login.</li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_loginusing_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">Some of my users login using their email and the rest using their usernames. How will both of them be able to login?</div>
							</div>
							<div hidden="" id="help_loginusing_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;You need to provide a search filter which checks for the username against multiple LDAP attributes.</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;For example, if you have some users who login using their email and some using their username, the following search filter can be applied: (&(objectClass=*)(|(mail=?)(cn=?)))</li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
					<tr>
						<td class="mo_ldap_help_cell">
							<div id="help_diffdist_title" class="mo_ldap_title_panel">
								<div class="mo_ldap_help_title">What are the different Distinguished Name attributes?</div>
							</div>
							<div hidden="" id="help_diffdist_desc" class="mo_ldap_help_desc" style="display: none;">
								<ul>
									<li>1.&nbsp;&nbsp;&nbsp;&nbsp;The distinguished name attribute depends on the LDAP environment.</li>
									<li>2.&nbsp;&nbsp;&nbsp;&nbsp;For example, Active Directory(AD) uses distinguishedName to store the Distinguished Name(DN) attribute</li>
								</ul>
								For any further queries, please contact us.								
							</div>
						</td>
					</tr>
					
				</tbody></table>
	</div>
	
	
	<?php

}