<?php

function mo_ldap_support(){
?>
	<div class="mo_ldap_support_layout">
		<h3>Support</h3>
			<form name="f" method="post" action="">
				<div>Need any help? Just send us a query so we can help you.<br /><br /></div>
				<div>
					<table class="mo_ldap_settings_table">
						<tr><td>
							<input type="email" class="mo_ldap_table_textbox" id="query_email" name="query_email" value="<?php echo get_option('mo_ldap_admin_email'); ?>" placeholder="Enter your email" required />
							</td>
						</tr>
						<tr><td>
							<input type="text" class="mo_ldap_table_textbox" name="query_phone" id="query_phone" value="<?php echo get_option('mo_ldap_admin_phone'); ?>" placeholder="Enter your phone"/>
							</td>
						</tr>
						<tr>
							<td>
								<textarea id="query" name="query" class="mo_ldap_settings_textarea" style="border-radius:4px;resize: vertical;width:100%" cols="52" rows="7" onkeyup="mo_ldap_valid(this)" onblur="mo_ldap_valid(this)" onkeypress="mo_ldap_valid(this)" required placeholder="Write your query here"></textarea>
							</td>
						</tr>
					</table>
				</div>
				<input type="hidden" name="option" value="mo_ldap_login_send_query"/>
				<input type="submit" name="send_query" id="send_query" value="Submit Query" style="margin-bottom:3%;" class="button button-primary button-large" />
			</form>
			<br />			
	</div>
	<script>
		jQuery("#query_phone").intlTelInput();
		function mo_ldap_valid(f) {
			!(/^[a-zA-Z?,.\(\)\/@ 0-9]*$/).test(f.value) ? f.value = f.value.replace(/[^a-zA-Z?,.\(\)\/@ 0-9]/, '') : null;
		}
	</script>
<?php
}

function mo_ldap_cloud_add_on_page()
{
    ?>
        <div id="mo_ldap_add_on_layout" class="mo_ldap_support_layout" style="position: relative; margin-top: 20px; line-height: 2">
            <h2 style="font-size: 20px;">Available Add-ons</h2>
            <ul style=" list-style-type: none;margin: 0;padding: 0;">
                <li>
                    <h3>1. Auto-Login(SSO) for shared hosting -</h3>
                    <p>Auto login(sso) into your wordpress site hosted on shared hosting environment.</p>
                 
                </li>
                <li>
                    <h3>2. Sync Users from LDAP Directory -</h3>
                    <p>Sync your ldap directory users to your wordpress site. Schedules can be configured for the sync to run at a specific time and after a specific interval.</p>
                </li>
                    <p style=" font-weight: bold">For more details, please drop a mail to <a href="mailto:info@xecurify.com">info@xecurify.com</a>.</p>
            </ul>
        </div>
    <?php
}
?>